Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.atp.auth
Class Response

    java.lang.Object
      |
      +--com.ibm.atp.auth.ByteSequence
            |
            +--com.ibm.atp.auth.Response

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class Response
extends ByteSequence

The `Response` class is byte sequence which is a response authentication.

Version:
  1.00 $Date: 2001/07/28 06:33:45 $
Author:
  ONO Kouichi
See Also:
  Serialized Form

Constructor Summary
`Response(byte[] response)` Constructor creates byte sequence as a copy of given byte sequence as a response of authentication.
`Response(Response response)` Constructor creates byte sequence as a copy of given byte sequence as a response of authentication.
`Response(java.lang.String str)` Constructor creates byte sequence as a copy of given hexadecimal string of encoded bytes as a response of authentication.

Method Summary
`byte[]` | `response()` Returns current byte sequence as a response of authentication.
`java.lang.String` | `toString()` Returns a hexadecimal string representation of the byte sequence.

Methods inherited from class com.ibm.atp.auth.ByteSequence
`append, append, append, append, clone, copy, copy, copy, equals, equals, equals, length, sequence`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response

    public Response(byte[] response)

  Constructor creates byte sequence as a copy of given byte sequence as a response of authentication.
  Parameters:
    `response` - a byte sequence to be copied as a response

### Response

    public Response(Response response)

  Constructor creates byte sequence as a copy of given byte sequence as a response of authentication.
  Parameters:
    `response` - a byte sequence to be copied as a response

### Response

    public Response(java.lang.String str)

  Constructor creates byte sequence as a copy of given hexadecimal string of encoded bytes as a response of authentication.
  Parameters:
    `str` - a string of encoded byte sequence to be copied as a response

Method Detail

### response

    public final byte[] response()

  Returns current byte sequence as a response of authentication.
  Returns:
    current byte sequence as a response of authentication.

### toString

    public java.lang.String toString()

  Returns a hexadecimal string representation of the byte sequence. The series of hexadecimal strings are the contents of byte sequence.
  Overrides:
    `toString` in class `ByteSequence`
  Returns:
    a hexadecimal string representation of the byte sequence
  See Also:
    `ByteSequence.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD